These are some 'one-liners' that manipulate selections etc - Copy+Paste into the Ruby Console + <enter>
To select just Faces and Edges in the active context
m=Sketchup.active_model;s=m.selection;s.clear;m.active_entities.each{|e|s.add(e)if e.class==Sketchup;;Face or e.class==Sketchup;;Edge}
To select just all Faces in the active context
m=Sketchup.active_model;s=m.selection;s.clear;m.active_entities.each{|e|s.add(e)if e.class==Sketchup;;Face}
To select just all Edges in the active context
m=Sketchup.active_model;s=m.selection;s.clear;m.active_entities.each{|e|s.add(e)if e.class==Sketchup;;Edge}
To select just the Faces and Edges in the current selection
m=Sketchup.active_model;s=m.selection;s.each{|e|s.remove(e)if e.class!=Sketchup;;Face and e.class!=Sketchup;;Edge}
To select just the Edges in the current selection
m=Sketchup.active_model;s=m.selection;s.each{|e|s.remove(e)if e.class!=Sketchup;;Edge}
To select just the Faces in the current selection
m=Sketchup.active_model;s=m.selection;s.each{|e|s.remove(e)if e.class!=Sketchup;;Face}
You can expand this idea to quickly select/deselect all manner of things 🤓